UnitCell(3)

NAME
UnitCell

SYNOPSIS

#include <UnitCell.h>

  Public Member Functions
UnitCell ()
UnitCell (double *v)
UnitCell (double a, double b, double c, double alf, double bet, double gam)
double & operator[] (int i)
bool check ()
void size (double a, double b, double c)
void a (double d)
void b (double d)
void c (double d)
void alpha (double d)
void beta (double d)
void gamma (double d)
double a ()
double b ()
double c ()
double alpha ()
double beta ()
double gamma ()
void set_angle_range ()
void degrees_to_radians ()
void radians_to_degrees ()
double volume ()
Matrix3 skew_matrix ()
Calculates the skew matrix from the unit cell parameters.
Matrix3 skew_rotation (int invert)

Detailed Description

Definition at line 22 of file UnitCell.h.

Constructor & Destructor Documentation

  UnitCell::UnitCell () [inline]

Definition at line 26 of file UnitCell.h.

  UnitCell::UnitCell (double * v) [inline]

Definition at line 27 of file UnitCell.h.

  UnitCell::UnitCell (double a, double b, double c, double alf, double bet, double gam) [inline]

Definition at line 28 of file UnitCell.h.

Member Function Documentation

  void UnitCell::a (double d) [inline]

Definition at line 36 of file UnitCell.h.

  double UnitCell::a () [inline]

Definition at line 42 of file UnitCell.h.

  void UnitCell::alpha (double d) [inline]

Definition at line 39 of file UnitCell.h.

  double UnitCell::alpha () [inline]

Definition at line 45 of file UnitCell.h.

  void UnitCell::b (double d) [inline]

Definition at line 37 of file UnitCell.h.

  double UnitCell::b () [inline]

Definition at line 43 of file UnitCell.h.

  void UnitCell::beta (double d) [inline]

Definition at line 40 of file UnitCell.h.

  double UnitCell::beta () [inline]

Definition at line 46 of file UnitCell.h.

  void UnitCell::c (double d) [inline]

Definition at line 38 of file UnitCell.h.

  double UnitCell::c () [inline]

Definition at line 44 of file UnitCell.h.

  bool UnitCell::check () [inline]

Definition at line 34 of file UnitCell.h.

  void UnitCell::degrees_to_radians () [inline]

Definition at line 54 of file UnitCell.h.

  void UnitCell::gamma (double d) [inline]

Definition at line 41 of file UnitCell.h.

  double UnitCell::gamma () [inline]

Definition at line 47 of file UnitCell.h.

  double& UnitCell::operator[] (int i) [inline]

Definition at line 33 of file UnitCell.h.

  void UnitCell::radians_to_degrees () [inline]

Definition at line 55 of file UnitCell.h.

  void UnitCell::set_angle_range () [inline]

Definition at line 48 of file UnitCell.h.

  void UnitCell::size (double a, double b, double c) [inline]

Definition at line 35 of file UnitCell.h.

  Matrix3 UnitCell::skew_matrix ()

Calculates the skew matrix from the unit cell parameters.

Returns:
    Matrix3 the 3x3 skew matrix.

    Derived from the X-plor source rotate.s.
    New coordinates are obtained by r'(i)=sum_j matrix(i,j)*r(j)
    The convention to setup the matrices is as follows:
        a lies on the x-axis,
        b lies in the x,y plane.

Definition at line 26 of file UnitCell.cpp.

  Matrix3 UnitCell::skew_rotation (int invert)

Definition at line 65 of file UnitCell.cpp.

  double UnitCell::volume () [inline]

Definition at line 56 of file UnitCell.h.

Author

Generated automatically by Doxygen for Bsoft from the source code.